--- instances/kroupware/detectors/statusauditor.py	Sat Oct  5 17:16:43 2002
+++ instances/testroundup/detectors/statusauditor.py	Thu Oct 10 12:50:33 2002
@@ -19,9 +19,14 @@
 # SOFTWARE.
 #
 #$Id: statusauditor.py,v 1.2 2002/09/10 01:07:06 richard Exp $
+#
+# 10.10.2002    Bernhard
+#   don't set it to chatting from resolved
+#   set it to chatting from no status
+#   fix: make sure status is set to unread
 
 def chatty(db, cl, nodeid, newvalues):
-    ''' If the issue is currently 'unread' or 'resolved', then set
+    ''' If the issue is currently 'unread' or has not status, then set
         it to 'chatting'
     '''
     # don't fire if there's no new message (ie. chat)
@@ -44,14 +49,15 @@
         return
 
     # ok, there's no explicit change, so do it manually
-    if current_status in (unread_id, resolved_id):
+    if current_status in (unread_id, None):
         newvalues['status'] = chatting_id
 
 
 def presetunread(db, cl, nodeid, newvalues):
     ''' Make sure the status is set on new issues
     '''
-    if newvalues.has_key('status'):
+        
+    if newvalues.has_key('status') and newvalues['status']:
         return
 
     # ok, do it

 	  	 
